using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Groups
{
    /// <summary>
    /// 团组信息表
    /// </summary>
    [SugarTable("Grp_DelegationInfo")]
    public class Grp_DelegationInfo:EntityBase
    {
        /// <summary>
        /// 销售报价号
        /// </summary>
        [SugarColumn(IsNullable =true,ColumnDataType = "varchar(50)")]
        public string SalesQuoteNo { get; set; }
        /// <summary>
        /// 销售日期
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "DateTime")]
        public DateTime SalesDate { get; set; }
        /// <summary>
        /// 客户名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string ClientName { get; set; }
        /// <summary>
        /// 客户单位
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string ClientUnit { get; set; }
        /// <summary>
        /// 团组号
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string TourCode { get; set; }
        /// <summary>
        /// 团组名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string TeamName { get; set; }
        /// <summary>
        /// 团组类型Id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int TeamDid { get; set; }
        /// <summary>
        /// 出访时间
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "DateTime")]
        public DateTime VisitDate { get; set; }
        /// <summary>
        /// 出团时间起
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "DateTime")]
        public DateTime VisitStartDate { get; set; }
        /// <summary>
        /// 出团时间止
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "DateTime")]
        public DateTime VisitEndDate { get; set; }
        /// <summary>
        /// 出访国家
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string VisitCountry { get; set; }
        /// <summary>
        /// 出访目的
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(300)")]
        public string VisitPurpose { get; set; }
        /// <summary>
        /// 出访天数
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int VisitDays { get; set; }
        /// <summary>
        /// 出访人数
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int VisitPNumber { get; set; }
        /// <summary>
        /// 特殊需求
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(500)")]
        public string SpecialNeeds { get; set; }
        /// <summary>
        /// 其他需求
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(500)")]
        public string OtherNeeds { get; set; }
        /// <summary>
        /// 客户需求
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(500)")]
        public string ClientNeeds { get; set; }
        /// <summary>
        /// 状态标识
        /// </summary>
        [SugarColumn(IsNullable =true,ColumnDataType ="int")]
        public int IsState { get; set; }
        /// <summary>
        /// 接团操作人
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int JietuanOperator { get; set; }
        /// <summary>
        /// 接团操作时间
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "DateTime")]
        public DateTime JietuanTime { get; set; }
        /// <summary>
        /// 团信息操作人
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int GroupsOperator { get; set; }
        /// <summary>
        /// 团信息操作时间
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "DateTime")]
        public DateTime GroupsTime { get; set; }
        /// <summary>
        /// 预算成本
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal BudgetCost { get; set; }
        /// <summary>
        /// 是否操作完成 
        /// 0否1是
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsSure { get; set; }
        /// <summary>
        /// 预算成本时间
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "DateTime")]
        public DateTime SureTime { get; set; }
        /// <summary>
        /// 手机号
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(500)")]
        public string TellPhone { get; set; }
        /// <summary>
        /// 团组客户级别
        /// 数据类型外键
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int TeamLevSId { get; set; }
        /// <summary>
        /// 酒店投诉标识 0-未投诉1-已投诉
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int HotelComplain { get; set; }
        /// <summary>
        /// OP投诉标识 0-未投诉1-已投诉
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int OPComplain { get; set; }
        /// <summary>
        /// 签证投诉标识 0-未投诉1-已投诉
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int VisaComplain { get; set; }
        /// <summary>
        /// 商邀投诉标识 0-未投诉1-已投诉
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int OAComplain { get; set; }
        /// <summary>
        /// 机票投诉标识 0-未投诉1-已投诉
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int AirComplain { get; set; }
        /// <summary>
        /// 团组负责人
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Director { get; set; }
        /// <summary>
        /// 合同时间
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "DateTime")]
        public DateTime TontractTime { get; set; }
        /// <summary>
        /// 支付款项（预付）
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal PaymentMoney { get; set; }
        /// <summary>
        /// 预付期限
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int PayDay { get; set; }
        /// <summary>
        /// 出国任务审批部门名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string CGRWSPBMMC { get; set; }
        /// <summary>
        /// 出国任务审批文号
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string CGRWSPWH { get; set; }
        /// <summary>
        /// 政治审查部门名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string ZZSCBMMC { get; set; }
        /// <summary>
        /// 政治审查部门审批文号
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string ZZSCSPWH { get; set; }
    }
}
